<?php

namespace Buyesrfolio\TransactionFile\Repositories\Eloquent;

use Buyesrfolio\TransactionFile\Interfaces\TransactionFileRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TransactionFileRepository extends BaseRepository implements TransactionFileRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('buyesrfolio.transaction_file.transaction_file.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('buyesrfolio.transaction_file.transaction_file.model.model');
    }
}
